## consfigurator 0.11.0

=== emacs/Makefile ===
LOAD = '(let ((asdf:*user-cache* "/tmp") \
              (asdf:*central-registry* (list (truename "..")))) \
          (asdf:load-system "consfigurator"))'

consfigurator.el: consfigurator.el.in
	sbcl --disable-debugger --eval '(require "asdf")' --eval $(LOAD) \
	--eval '(consfigurator::dump-properties-for-emacs "$<" "$@")' --quit

## consfigurator 0.7.0

=== debian/changelog ===
consfigurator (0.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Override no-debian-changes Lintian tag.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 25 May 2021 17:22:39 -0700

consfigurator (0.6.1-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 25 May 2021 15:35:44 -0700

consfigurator (0.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.
  * Add dep and build-dep on cl-closer-mop.
  * d/tests/compile-and-tests.lisp: Switch the *PACKAGE* to
    CONSFIGURATOR/TESTS when running tests so that there is a value
    for *CONSFIG*.
  * d/rules: also clean *.fasl from tests/.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 23 May 2021 16:57:10 -0700

consfigurator (0.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 01 Apr 2021 23:45:51 -0700

consfigurator (0.4.1-1) experimental; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 01 Apr 2021 19:33:13 -0700

consfigurator (0.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Add deps and build-deps on cl-heredoc, cl-named-readtables,
    cl-trivial-backtrace.
  * Run upstream test suite as part of autopkgtest.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 01 Apr 2021 16:02:00 -0700

consfigurator (0.3.1-1) experimental; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 10 Mar 2021 12:58:59 -0700

consfigurator (0.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Install consfigurator.el using dh_elpa
    - Add build-deps on dh-elpa, each cl-* package used by Consfigurator, sbcl
    - Depend on emacsen-common and Recommend emacs
    - Add Provides: elpa-consfigurator.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 10 Mar 2021 12:42:30 -0700

consfigurator (0.2.1-1) experimental; urgency=medium

  * New upstream release.
  * Update Homepage.
  * Add trailing slashes to Vcs-Git and Vcs-Browser.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 02 Mar 2021 19:02:08 -0700

consfigurator (0.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Add dependencies on cl-babel, cl-cffi.
  * Add an autopkgtest, marked as superficial, to test compiling and loading.
  * Add "Provides: consfigurator".
  * Move ${sphinxdoc:Depends} Depends->Recommends to ease installing on stable.
  * wrap-and-sort -abst

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 02 Mar 2021 18:08:45 -0700

consfigurator (0.0.1-1) experimental; urgency=medium

  * Initial release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 24 Feb 2021 19:42:21 -0700

=== debian/control ===
Source: consfigurator
Section: admin
Priority: optional
Maintainer: Sean Whitton <spwhitton@spwhitton.name>
Build-Depends:
 cl-alexandria,
 cl-babel,
 cl-cffi,
 cl-heredoc,
 cl-interpol,
 cl-named-readtables,
 cl-ppcre,
 cl-closer-mop,
 cl-trivial-backtrace,
 cl-trivial-macroexpand-all,
 debhelper-compat (= 13),
 dh-elpa,
 python3-sphinx,
 sbcl,
 sphinx-common,
 texinfo,
Standards-Version: 4.5.1
Homepage: https://spwhitton.name/tech/code/consfigurator/
Vcs-Git: https://git.spwhitton.name/consfigurator/
Vcs-Browser: https://git.spwhitton.name/consfigurator/
Rules-Requires-Root: no

Package: cl-consfigurator
Architecture: all
Depends:
 cl-alexandria,
 cl-babel,
 cl-cffi,
 cl-heredoc,
 cl-interpol,
 cl-named-readtables,
 cl-ppcre,
 cl-closer-mop,
 cl-trivial-backtrace,
 cl-trivial-macroexpand-all,
 emacsen-common,
 ${misc:Depends},
Recommends:
 emacs,
 sbcl,
 ${sphinxdoc:Depends},
Provides:
 consfigurator,
 elpa-consfigurator,
Description: Lisp declarative configuration management system
 Consfigurator is a system for declarative configuration management using
 Common Lisp.  You can use it to configure hosts as root, deploy services as
 unprivileged users, build and deploy containers, and produce disc images.
 .
 Consfigurator's design gives you a great deal of flexibility about how to
 control the hosts you want to configure.  If there is a command you can run
 which will obtain input and output streams attached to an interactive POSIX
 sh running on the target host/container, then with a little glue code, you
 can use much of Consfigurator's functionality to configure that
 host/container.  But if it is possible to get an implementation of Common
 Lisp started up on the host, then Configurator can transparently execute your
 deployment code over on the remote side, rather than exchanging information
 via POSIX sh.  This lets you use the full power of Common Lisp to deploy your
 configuration.
 .
 Configurator has convenient abstractions for combining these different ways
 to execute your configuration on hosts with different ways of connecting to
 them.  Connections can be arbitrarily nested.
 .
 Declarative configuration management systems like Consfigurator and Propellor
 share a number of goals with projects like the GNU Guix System and NixOS.
 However, tools like Consfigurator and Propellor try to layer the power of
 declarative and reproducible configuration on top of traditional,
 battle-tested unix system administration infrastructure like apt, dpkg, yum,
 and distro package archives, rather than seeking to replace any of those.
 Let's get as much as we can out of all that existing distro policy-compliant
 work!

## consfigurator 0.8.0

=== debian/changelog ===
consfigurator (0.8.0-2) unstable; urgency=high

  * Backport some security & FFI fixes to :SETUID and :SUDO connections.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 24 Jul 2021 15:54:41 -0700

consfigurator (0.8.0-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 04 Jun 2021 11:02:38 -0700

## consfigurator 0.11.0

=== debian/control ===
Source: consfigurator
Section: admin
Priority: optional
Maintainer: Sean Whitton <spwhitton@spwhitton.name>
Build-Depends:
 cl-alexandria,
 cl-anaphora,
 cl-babel,
 cl-cffi,
 cl-osicat,
 cl-heredoc,
 cl-interpol,
 cl-named-readtables,
 cl-ppcre,
 cl-closer-mop,
 cl-trivial-backtrace,
 cl-agnostic-lizard,
 debhelper-compat (= 13),
 dh-elpa,
 python3-sphinx,
 sbcl,
 sphinx-common,
 python3-sphinx-rtd-theme,
 texinfo,
Standards-Version: 4.5.1
Homepage: https://spwhitton.name/tech/code/consfigurator/
Vcs-Git: https://git.spwhitton.name/consfigurator/
Vcs-Browser: https://git.spwhitton.name/consfigurator/
Rules-Requires-Root: no

Package: cl-consfigurator
Architecture: all
Depends:
 cl-alexandria,
 cl-anaphora,
 cl-babel,
 cl-cffi,
 cl-osicat,
 cl-heredoc,
 cl-interpol,
 cl-named-readtables,
 cl-ppcre,
 cl-closer-mop,
 cl-trivial-backtrace,
 cl-agnostic-lizard,
 emacsen-common,
 ${misc:Depends},
Recommends:
 emacs,
 sbcl,
 ${sphinxdoc:Depends},
Provides:
 consfigurator,
 elpa-consfigurator,
Description: Lisp declarative configuration management system
 Consfigurator is a system for declarative configuration management using
 Common Lisp.  You can use it to configure hosts as root, deploy services as
 unprivileged users, build and deploy containers, install operating systems,
 produce disc images, and more.  Some key advantages:
 .
  * Apply configuration by transparently starting up another Lisp image on the
    machine to be configured, so that you can use the full power of Common Lisp
    to inspect and control the host.
 .
  * Also define properties of hosts in a more restricted language, that of
    :POSIX properties, to configure machines, containers and user accounts
    where you can't install Lisp.  These properties can be applied using just
    an SSH or serial connection, but they can also be applied by remote Lisp
    images, enabling code reuse.
 .
  * Flexibly chain and nest methods of connecting to hosts.  For example, you
    could have Consfigurator SSH to a host, sudo to root, start up Lisp, use
    the setns(2) system call to enter a Linux container, and then deploy a
    service.  Secrets, and other prerequisite data, are properly passed along.
 .
  * Combine declarative semantics for defining hosts and services with a
    multiparadigmatic general-purpose programming language that won't get in
    your way.
 .
 Declarative configuration management systems like Consfigurator and Propellor
 share a number of goals with projects like the GNU Guix System and NixOS.
 However, tools like Consfigurator and Propellor try to layer the power of
 declarative and reproducible configuration semantics on top of traditional,
 battle-tested UNIX system administration infrastructure like distro package
 managers, package archives and daemon configuration mechanisms, rather than
 seeking to replace any of those.  Let's get as much as we can out of all that
 existing distro policy-compliant work!

## consfigurator 1.0.0

=== debian/changelog ===
consfigurator (1.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 30 Apr 2022 12:42:44 -0700

consfigurator (0.14.0-1) unstable; urgency=medium

  * New upstream release.
  * d/copyright: update years for David Bremner to include 2022.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 02 Feb 2022 13:49:48 -0700

consfigurator (0.13.0-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 15 Dec 2021 16:22:08 -0700

consfigurator (0.12.3-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 28 Nov 2021 19:10:23 -0700

consfigurator (0.12.2-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 15 Nov 2021 11:49:27 -0700

consfigurator (0.12.1-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 09 Nov 2021 17:53:33 -0700

consfigurator (0.12.0-1) unstable; urgency=medium

  * New upstream release.
  * Add deps and build-deps on cl-bordeaux-threads, libacl1-dev and libcap-dev.
  * Add ${sphinxdoc:Built-Using} to Built-Using.
  * Run 'wrap-and-sort -abst'.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 08 Nov 2021 17:53:08 -0700

consfigurator (0.11.0-1) unstable; urgency=medium

  * New upstream release.
  * Add deps and build-deps on cl-anaphora and cl-osicat.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 29 Sep 2021 20:06:58 -0700

consfigurator (0.10.0-1) unstable; urgency=medium

  * New upstream release.
  * Rewrite long description.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 22 Aug 2021 15:53:02 -0700

consfigurator (0.9.1-1) unstable; urgency=medium

  * New upstream release.
  * Replace dep and build-dep cl-trivial-macroexpand-all -> cl-agnostic-lizard.
  * Add build-dep on python3-sphinx-rtd-theme.
  * Update copyright years.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 20 Aug 2021 10:55:35 -0700

## consfigurator 1.0.1

=== debian/changelog ===
consfigurator (1.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Add autopkgtest deps on gpg and pass.
  * d/tests/compile-and-tests.lisp: Set TMPDIR to AUTOPKGTEST_TMP.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 11 May 2022 12:26:40 -0700

## consfigurator 1.1.1

=== debian/changelog ===
consfigurator (1.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 18 Sep 2022 15:18:33 -0700

consfigurator (1.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 02 Aug 2022 15:03:28 -0700

consfigurator (1.0.3-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 29 Jun 2022 17:38:28 -0700

consfigurator (1.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 19 May 2022 17:51:55 -0700

## consfigurator 1.2.3

=== doc/Makefile ===
SPHINXOPTS    ?=
SPHINXBUILD   ?= sphinx-build
SOURCEDIR     = .
BUILDDIR      = _build

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
consfigurator (1.2.3-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 26 Feb 2023 10:30:49 -0700

consfigurator (1.2.2-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 20 Feb 2023 13:18:14 -0700

consfigurator (1.2.1-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 20 Feb 2023 13:07:54 -0700

consfigurator (1.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 29 Nov 2022 11:06:36 -0700

=== debian/control ===
--- 
+++ 
@@ -3,24 +3,27 @@
 Priority: optional
 Maintainer: Sean Whitton <spwhitton@spwhitton.name>
 Build-Depends:
+ cl-agnostic-lizard,
  cl-alexandria,
  cl-anaphora,
  cl-babel,
+ cl-bordeaux-threads,
  cl-cffi,
- cl-osicat,
+ cl-closer-mop,
  cl-heredoc,
  cl-interpol,
  cl-named-readtables,
+ cl-osicat,
  cl-ppcre,
- cl-closer-mop,
  cl-trivial-backtrace,
- cl-agnostic-lizard,
  debhelper-compat (= 13),
  dh-elpa,
+ libacl1-dev,
+ libcap-dev,
  python3-sphinx,
+ python3-sphinx-rtd-theme,
  sbcl,
  sphinx-common,
- python3-sphinx-rtd-theme,
  texinfo,
 Standards-Version: 4.5.1
 Homepage: https://spwhitton.name/tech/code/consfigurator/
@@ -31,19 +34,22 @@
 Package: cl-consfigurator
 Architecture: all
 Depends:
+ cl-agnostic-lizard,
  cl-alexandria,
  cl-anaphora,
  cl-babel,
+ cl-bordeaux-threads,
  cl-cffi,
- cl-osicat,
+ cl-closer-mop,
  cl-heredoc,
  cl-interpol,
  cl-named-readtables,
+ cl-osicat,
  cl-ppcre,
- cl-closer-mop,
  cl-trivial-backtrace,
- cl-agnostic-lizard,
  emacsen-common,
+ libacl1-dev,
+ libcap-dev,
  ${misc:Depends},
 Recommends:
  emacs,
@@ -52,6 +58,8 @@
 Provides:
  consfigurator,
  elpa-consfigurator,
+Built-Using:
+ ${sphinxdoc:Built-Using},
 Description: Lisp declarative configuration management system
  Consfigurator is a system for declarative configuration management using
  Common Lisp.  You can use it to configure hosts as root, deploy services as

## consfigurator 1.3.2

=== debian/changelog ===
consfigurator (1.3.2-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 24 Apr 2024 08:34:43 +0100

consfigurator (1.3.1-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 12 Jun 2023 08:49:21 +0100

consfigurator (1.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Add dep and build-dep on cl-parse-number.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 17 Mar 2023 11:04:06 -0700

## consfigurator 1.4.1

=== debian/changelog ===
consfigurator (1.4.1-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 10 Jul 2024 08:38:00 +0800

consfigurator (1.4.0-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 09 May 2024 18:28:26 +0100

## consfigurator 1.4.4

=== debian/changelog ===
consfigurator (1.4.4-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 10 Oct 2024 20:24:39 +0800

consfigurator (1.4.3-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 04 Oct 2024 09:31:03 +0800

consfigurator (1.4.2-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 26 Jul 2024 11:31:24 +0900

## consfigurator 1.5.1

=== debian/changelog ===
consfigurator (1.5.1-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 01 Apr 2025 12:18:40 +0800

consfigurator (1.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 29 Mar 2025 19:06:58 +0800

## consfigurator 1.5.2

=== debian/changelog ===
consfigurator (1.5.2-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 15 Apr 2025 17:00:25 +0800

## consfigurator 1.5.3

=== emacs/Makefile ===
include ../consfigurator.mk

consfigurator.el: consfigurator.el.in
	$(SBCL) --eval '(consfigurator::dump-properties-for-emacs "$<" "$@")'\
		--quit

## consfigurator 1.5.4

=== debian/changelog ===
consfigurator (1.5.4-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 10 Jan 2026 11:05:03 +0000

consfigurator (1.5.3-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 10 Aug 2025 12:01:59 +0100
